import Vue from "vue";
import Router from "vue-router";
import Home from "@/views/home";

Vue.use(Router);

let routes = [
  {
    alias: "/",
    path: "/home", // 专家门诊
    name: "home",
    // meta: { keepAlive: true }
    component: Home
  }
];

export default new Router({
  mode: "history",
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition;
    } else {
      if (from.meta.keepAlive) {
        const selector = document.getElementById("scrollbar") || {};
        from.meta.savedPosition = selector.scrollTop || 0;
      }
      return { x: 0, y: to.meta.savedPosition || 0 };
    }
  }
});
